using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class StoredProcedures : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void btnExecutar_Click(object sender, EventArgs e)
    {
        using (NorthwindDataContext db = new NorthwindDataContext())
        {
            GridView1.DataSource = db.CustOrdersDetail(11077);
            GridView1.DataBind();
        }
    }

    protected void GridView1_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            e.Row.Cells[1].Text = String.Format("{0:c}", Convert.ToDecimal(e.Row.Cells[1].Text));
            e.Row.Cells[4].Text = String.Format("{0:c}", Convert.ToDecimal(e.Row.Cells[4].Text));
        }
    }
}